hbcicard(1)

NAME

hbcicard - A tool to manipulate data on a Home Banking Card.

SYNOPSIS
hbcicard COMMAND
 [ -C configfile ]
 [ -i index ]
 [ -p pin1 ]
 [ -P pin2 ]
 [ -k ]
 [ --logfile file ]
 [ --logtype type ]
 [ --loglevel level ]

DESCRIPTION

The hbcicard utility lets you inspect and set options of your HBCI (home banking computer interface) chipcard. Supported card-types currently are DDV and RSA.

COMMANDS
The parameter COMMAND can be one of the following. Invoking without a COMMAND parameter displays instructions.

type
    shows the card type (either DDV or RSA)

info
    shows some basic information about the card (like serial number etc).

dump
    dump entries on a card

set change an entry on a card

chgpin
    change the cardholder pin of a RSA card

initpin
    change the inital cardholder pin of a RSA card. If you purchased a new RSA card then it uses an initial pin (the serial number of the card). You need THIS command to change that pin in order to use the card. The switch "-k" must not be used with initpin

keys
    lists the keys stored on a RSA card

GENERAL OPTIONS

-C configfile
    Uses the given configuration file. If omitted the file /usr/local/etc/chipcardd.conf is used.

-i index
    Number of the card's entry to use. If omitted and COMMAND is "dump" then all entries are shown.

-p pin1
    Pin 1 (used to get access to a card)

-P pin2
    Pin 2 (new pin when changing the pin)

-k  Use keypad for secure pin input (cannot be used with the "initpin" command).

--logfile logfile
    Use the given file to store the log messages. It defaults to /Ihbcicard.log. This only applies if the logtype is file (see below).

--logtype logtype
    Use the given log type. Currently the following logtypes are supported: stderr, file. Default is stderr.

--loglevel loglevel
    Sets the loglevel. Valid levels are: emergency, alert, critical, error, warning, notice, info, and debug. Default is warning.

SPECIAL OPTIONS FOR SET COMMAND

-s server
    server address to set

-u user
    user id to set

-c countrycode
    country code (defaults to 280 for Germany)

-b bankcode
    bank code (e.g. German Bankleitzahl)

-q sequencenumber
    signature counter, this one is checked by your bank, each signature needs a higher number than any signature before. You cannot set the sequence number on a RSA card.

FILES

/usr/local/etc/chipcardd.conf

ENVIRONMENT VARIABLES

hbcicard does not use any environment variables

EXAMPLE
The simplest usage of this program is:

hbcicard type

This shows the type of the card (either DDV or RSA).

AUTHORS

Martin Preuss <martin@libchipcard.de>

SEE ALSO

libchipcard.conf(5) chipcardc.conf(5)